Bug 782225 - Review Request: ehcache-parent - Ehcache Parent
Summary: Review Request: ehcache-parent - Ehcache Parent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Dake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 782661
TreeView+ depends on / blocked
 
Reported: 2012-01-16 21:45 UTC by David Nalley
Modified: 2016-04-27 04:06 UTC (History)
4 users (show)

Fixed In Version: ehcache-parent-2.3-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-15 11:27:22 UTC
sdake: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Nalley 2012-01-16 21:45:31 UTC
Spec URL: http://ke4qqq.fedorapeople.org/ehcache-parent.spec
SRPM URL: http://ke4qqq.fedorapeople.org/ehcache-parent-2.3-1.fc16.src.rpm
Description: Ehcache is a widely used, pure Java, in-process, distributed cache.

Comment 1 Steven Dake 2012-01-16 21:56:49 UTC
spec file looks good.

Comment 2 Steven Dake 2012-01-17 00:35:49 UTC
[FAIL] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

[root@beast SRPMS]# rpmlint ehcache-parent-2.3-1.fc16.src.rpm
ehcache-parent.src: W: invalid-url Source0: ehcache-parent-2.3-src-svn.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[root@beast noarch]# rpmlint ehcache-parent-2.3-1.fc16.noarch.rpm
ehcache-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

no docs are ok, but invalid url is problematic.

[PASS] MUST: The package must be named according to the Package Naming Guidelines .
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 

[PASS] MUST: The package must meet the Packaging Guidelines .

[PASS] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

Please file a bug with upstream to include the license file in the source distribution.

[PASS] MUST: The License field in the package spec file must match the actual license. [3]

xml file implies ASL2.0 license which matches SPEC file

[N/A] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

[PASS] MUST: The spec file must be written in American English. [5]

[PASS] MUST: The spec file for the package MUST be legible. [6]

[PASS] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[PASS] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

[PASS] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

[PASS] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

[N/A] MUST: Packages must NOT bundle copies of system libraries.[11]

Question here, first java package I have reviewed, are packages downloaded during the build process?

[PASS] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

[PASS] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[PASS] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

[PASS] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

[PASS] MUST: Each package must consistently use macros. [16]

[PASS] MUST: The package must contain code, or permissable content. [17]

[N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

[N/A] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

[N/A] MUST: Header files must be in a -devel package. [19]

[N/A] MUST: Static libraries must be in a -static package. [20]

[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]

[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]

[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]

[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

[PASS] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

[PASS] MUST: All filenames in rpm packages must be valid UTF-8. [24]

Comment 3 Steven Dake 2012-01-17 00:40:11 UTC
From:http://fedoraproject.org/wiki/Java_review_template

Maven ===
[PASS]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[N/A]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[N/A]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[FAIL]  Package DOES NOT use %update_maven_depmap in %post/%postun
[FAIL]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

The last two issues are blockers, although I don't understand maven enough to know why.

Comment 4 David Nalley 2012-01-17 18:14:49 UTC
(In reply to comment #2)
> [FAIL] MUST: rpmlint must be run on the source rpm and all binary rpms the
> build produces. The output should be posted in the review.[1] 
> 
> [root@beast SRPMS]# rpmlint ehcache-parent-2.3-1.fc16.src.rpm
> ehcache-parent.src: W: invalid-url Source0: ehcache-parent-2.3-src-svn.tar.gz
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> [root@beast noarch]# rpmlint ehcache-parent-2.3-1.fc16.noarch.rpm
> ehcache-parent.noarch: W: no-documentation
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> no docs are ok, but invalid url is problematic.
> 


There is sadly no valid url I can pass. 

I've done my best to comply with:
https://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs
Suggestions welcome on how to improve this situation.

Comment 5 David Nalley 2012-01-17 18:17:41 UTC
(In reply to comment #3)
> From:http://fedoraproject.org/wiki/Java_review_template
> 
> Maven ===
> [PASS]  Use %{_mavenpomdir} macro for placing pom files instead of
> %{_datadir}/maven2/poms
> [N/A]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
> comment
> [N/A]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
> it's needed in a comment
> [FAIL]  Package DOES NOT use %update_maven_depmap in %post/%postun

Isn't this in line 43-47 of the existing spec file? 

> [FAIL]  Packages DOES NOT have Requires(post) and Requires(postun) on
> jpackage-utils for %update_maven_depmap macro

I think line 23 and 24 of the existing spec file take care of this. 


Thanks for the review!

Comment 6 Steven Dake 2012-01-17 19:48:20 UTC
Regarding comment #4, upstream hasn't released a tarball?  I have some concern that the build would not be reproducible from the upstream if that branch changed.  Even so, given that you have followed the appropriate process as per packaging guidelines, I'll PASS this particular requirement.

Can you please nag upstream to release a tarball?

Comment 7 Steven Dake 2012-01-17 19:54:39 UTC
This is first java package I have reviewed, so forgive my ignorance here:
line 23-24:

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

Requirement says "Package _DOES NOT_ have Requires(post/postun) on jpackage-utils

There is clearly a requires on jpackage-utils in the post/postun section

line 43-47:

%post
%update_maven_depmap

%postun
%update_maven_depmap

Requirement says "Package _DOES NOT_ use %update_maven_depmap in %post/%postun"

They are clearly used in these sections.

Since java is out of my area of expertise (I normally review python/c packages), if you can find a confident java packager to signoff on this portion, obtain an exception from the java sig, or have someone from the java sig educate me on the rationale for these requirements, I'd be happy to approve the package.

Regards
-steve

Comment 8 Alexander Kurtakov 2012-01-18 07:52:01 UTC
Having Requires(post/postun) on jpackage-utils and post/postun update_maven_depmap
are really not needed where the former is there for the latter. They will really do nothing sensible on Fedora but complicating the rpm transactions, complicating the spec files and slowing down the install/updates.

Comment 9 David Nalley 2012-01-18 18:57:19 UTC
(In reply to comment #6)
> Regarding comment #4, upstream hasn't released a tarball?  I have some concern
> that the build would not be reproducible from the upstream if that branch
> changed.  Even so, given that you have followed the appropriate process as per
> packaging guidelines, I'll PASS this particular requirement.
> 
> Can you please nag upstream to release a tarball?

Well yes and no - they release a tarball, but it's effectively binary. It's from a tag, not a branch, which should be far more static.

Comment 10 Steven Dake 2012-01-18 18:59:02 UTC
David,

Ok ack on comment #9.

Comment 11 David Nalley 2012-01-18 18:59:56 UTC
(In reply to comment #7)
> This is first java package I have reviewed, so forgive my ignorance here:
> line 23-24:
> 
> Requires(post): jpackage-utils
> Requires(postun): jpackage-utils
> 
> Requirement says "Package _DOES NOT_ have Requires(post/postun) on
> jpackage-utils
> 
> There is clearly a requires on jpackage-utils in the post/postun section
> 
> line 43-47:
> 
> %post
> %update_maven_depmap
> 
> %postun
> %update_maven_depmap
> 
> Requirement says "Package _DOES NOT_ use %update_maven_depmap in %post/%postun"
> 
> They are clearly used in these sections.
> 
> Since java is out of my area of expertise (I normally review python/c
> packages), if you can find a confident java packager to signoff on this
> portion, obtain an exception from the java sig, or have someone from the java
> sig educate me on the rationale for these requirements, I'd be happy to approve
> the package.
> 
> Regards
> -steve

Well - I fail. 

Not only do I fail to adhere to the guidelines, I apparently can't read either. 

Fixed here: 

SRPM: http://ke4qqq.fedorapeople.org/ehcache-parent-2.3-2.fc16.src.rpm
SPEC: http://ke4qqq.fedorapeople.org/ehcache-parent.spec

Comment 12 Steven Dake 2012-01-18 19:30:28 UTC
APPROVED.

Please submit a SCM request.

Regards
-steve

Comment 13 David Nalley 2012-01-18 20:48:51 UTC
New Package SCM Request
=======================
Package Name: ehcache-parent
Short Description: Ehcache Parent
Owners: ke4qqq
Branches: f16
InitialCC: java-sig

Comment 14 Gwyn Ciesla 2012-01-19 13:25:17 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2012-01-19 17:22:19 UTC
ehcache-parent-2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ehcache-parent-2.3-2.fc16

Comment 16 Fedora Update System 2012-01-19 21:58:20 UTC
ehcache-parent-2.3-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 17 Fedora Update System 2012-02-15 11:27:22 UTC
ehcache-parent-2.3-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.